Apache/Glibc Problem

Alles, was den Apache betrifft, kann hier besprochen werden.

Apache/Glibc Problem

Postby achuah » 04. October 2011 14:19

I was performing an upgrade on - /usr/local/directadmin/customapache and did:
rm -rf configure.*
./build clean
./build update
./build all -y

When I restarted Apache, I got the error:
Cannot load /etc/httpd/modules/libphp4.so inside server: /usr/lib/libmysqlclient.so.10: item errno, version GLIBC_2.0 not defined in file libc.so.6 time link reference.
Exporting LD_ASSUME_KERNEL=2.4.1 only allows me to use /etc/init.d/httpd and apachectl. It the service command:
service httpd restart
which still gives me that error.

On the updated system that doesn't work:
ldd /usr/lib/libmysqlclient.so.10 shows:
libc.so.6 => /lib/i686/libc.so.6
On a system that does work:
libc.so.6 => /lib/tls/libc.so.6
help?
achuah
 
Posts: 1
Joined: 04. October 2011 14:14

Return to Apache

Who is online

Users browsing this forum: No registered users and 1 guest